Skip to main content
Get run state
curl --request GET \
  --url https://api.acornops.dev/api/v1/runs/{runId} \
  --cookie acornops_cp_session=
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "error": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

runId
string<uuid>
required
Example:

"5e709a9c-2481-4baa-aec2-ca193c50167d"

Response

Run details.

id
string<uuid>
required
workspaceId
string<uuid>
required
sessionId
string<uuid>
required
targetId
string<uuid>
required
targetType
enum<string>
required
Available options:
kubernetes,
virtual_machine
status
string
required
clusterId
string<uuid>
toolAccessMode
enum<string>
Available options:
read_only,
read_write
createdAt
string<date-time>
startedAt
string<date-time>
completedAt
string<date-time>
cancelledAt
string<date-time>
error
object